r8956 - in trunk: BOOK BOOK/introduction/welcome BOOK/networking/netprogs BOOK/postlfs/security bootscripts/blfs/init.d

bdubbs at linuxfromscratch.org bdubbs at linuxfromscratch.org
Fri Nov 11 20:33:46 PST 2011


Author: bdubbs
Date: 2011-11-11 21:33:41 -0700 (Fri, 11 Nov 2011)
New Revision: 8956

Modified:
   trunk/BOOK/general.ent
   trunk/BOOK/introduction/welcome/changelog.xml
   trunk/BOOK/networking/netprogs/samba3.xml
   trunk/BOOK/postlfs/security/stunnel.xml
   trunk/bootscripts/blfs/init.d/samba
   trunk/bootscripts/blfs/init.d/stunnel
Log:
Update to samba-3.6.1.
Update to stunnel-4.46.


Modified: trunk/BOOK/general.ent
===================================================================
--- trunk/BOOK/general.ent	2011-11-10 22:12:32 UTC (rev 8955)
+++ trunk/BOOK/general.ent	2011-11-12 04:33:41 UTC (rev 8956)
@@ -3,13 +3,13 @@
 $Date$
 -->
 
-<!ENTITY day          "10">                   <!-- Always 2 digits -->
+<!ENTITY day          "11">                   <!-- Always 2 digits -->
 <!ENTITY month        "11">                   <!-- Always 2 digits -->
 <!ENTITY year         "2011">
 <!ENTITY copyrightdate "2001-&year;">
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "November 10th, &year;">
+<!ENTITY releasedate  "November 11th, &year;">
 <!-- <!ENTITY releasedate  "November &day;st, &year;"> -->
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
@@ -56,7 +56,7 @@
 <!ENTITY lfs-vim-version              "7.3">
 <!-- End LFS versions -->
 
-<!ENTITY blfs-bootscripts-version     "20111107">
+<!ENTITY blfs-bootscripts-version     "20111111">
 <!ENTITY blfs-bootscripts-download    "&downloads-root;/blfs-bootscripts-&blfs-bootscripts-version;.tar.bz2">
 
 <!ENTITY blfs-wiki                    "http://wiki.&lfs-domainname;/blfs/wiki">
@@ -118,7 +118,7 @@
 <!ENTITY heimdal-version              "1.4">
 <!ENTITY mitkrb-version               "1.6">
 <!ENTITY cyrus-sasl-version           "2.1.23">
-<!ENTITY stunnel-version              "4.34">
+<!ENTITY stunnel-version              "4.46">
 <!ENTITY sudo-version                 "1.8.2">
 <!ENTITY nss-version                  "3.12.8">
 <!ENTITY policykit-version            "0.9">
@@ -451,7 +451,7 @@
 <!ENTITY openssh-version              "5.9p1">
 <!ENTITY portmap-version              "6.0">
 <!ENTITY rsync-version                "3.0.9">
-<!ENTITY samba3-version               "3.5.6">
+<!ENTITY samba3-version               "3.6.1">
 <!ENTITY subversion-version           "1.7.1">
 <!ENTITY tcpwrappers-version          "7.6">
 <!ENTITY wget-version                 "1.13.4">

Modified: trunk/BOOK/introduction/welcome/changelog.xml
===================================================================
--- trunk/BOOK/introduction/welcome/changelog.xml	2011-11-10 22:12:32 UTC (rev 8955)
+++ trunk/BOOK/introduction/welcome/changelog.xml	2011-11-12 04:33:41 UTC (rev 8956)
@@ -42,13 +42,21 @@
 -->
 
     <listitem>
-      <para>November 10th, 2011</para>
+      <para>November 11th, 2011</para>
       <itemizedlist>
-        <!-- <listitem>
+        <listitem>
           <para>[bdubbs] - Update to samba-3.6.1.</para>
         </listitem>
-        -->
         <listitem>
+          <para>[bdubbs] - Update to stunnel-4.46.</para>
+        </listitem> 
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>November 10th, 2011</para>
+      <itemizedlist>
+        <listitem>
           <para>[bdubbs] - Update to gnutls-3.0.7.</para>
         </listitem> 
         <listitem>

Modified: trunk/BOOK/networking/netprogs/samba3.xml
===================================================================
--- trunk/BOOK/networking/netprogs/samba3.xml	2011-11-10 22:12:32 UTC (rev 8955)
+++ trunk/BOOK/networking/netprogs/samba3.xml	2011-11-12 04:33:41 UTC (rev 8956)
@@ -6,10 +6,10 @@
 
   <!ENTITY samba3-download-http "http://samba.org/samba/ftp/stable/samba-&samba3-version;.tar.gz">
   <!ENTITY samba3-download-ftp  "ftp://samba.org/pub/samba/samba-&samba3-version;.tar.gz">
-  <!ENTITY samba3-md5sum        "bf6c09ea497a166df8bd672db1d8da8f">
-  <!ENTITY samba3-size          "30.8 MB">
-  <!ENTITY samba3-buildsize     "451 MB">
-  <!ENTITY samba3-time          "5 SBU (additional 1.4 SBU to run the test suite)">
+  <!ENTITY samba3-md5sum        "5291717be0734e07dc07b6110e162e87">
+  <!ENTITY samba3-size          "27.7 MB">
+  <!ENTITY samba3-buildsize     "455 MB">
+  <!ENTITY samba3-time          "5.1 SBU (including about 2.8 SBU to run the test suite)">
 ]>
 
 <sect1 id="samba3" xreflabel="Samba-&samba3-version;">
@@ -37,6 +37,8 @@
     Active Directory domain and a NetBIOS (rfc1001/1002) nameserver (which
     amongst other things provides LAN browsing support).</para>
 
+    &lfs70_checked;
+
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
       <listitem>
@@ -82,8 +84,8 @@
     <ulink url="http://tdb.samba.org/">tdb</ulink> (version 1.2.1),
     <xref linkend="libcap2"/>,
     <ulink url="http://www.nongnu.org/libunwind/">libunwind</ulink>,
-    <ulink url="http://people.redhat.com/dhowells/keyutils/">keyutils</ulink>
-    (required to build the <command>cifs.upcall</command> program),
+    <!-- <ulink url="http://people.redhat.com/dhowells/keyutils/">keyutils</ulink>
+    (required to build the <command>cifs.upcall</command> program), -->
     <xref linkend="avahi"/>,
     <ulink url="http://www.openafs.org/">OpenAFS</ulink>,
     and <ulink url="http://valgrind.org/">Valgrind</ulink> (optionally
@@ -119,19 +121,19 @@
 
 <screen><userinput>cd source3 &&
 
-./configure \
-    --prefix=/usr \
-    --sysconfdir=/etc \
-    --localstatedir=/var \
-    --with-piddir=/var/run \
+./configure                            \
+    --prefix=/usr                      \
+    --sysconfdir=/etc                  \
+    --localstatedir=/var               \
+    --with-piddir=/run                 \
     --with-pammodulesdir=/lib/security \
-    --with-fhs \
-    --with-automount \
-    --with-cifsumount \
-    --enable-nss-wrapper \
-    --with-pthreads &&
+    --with-fhs                         \
+    --enable-nss-wrapper               \
+    --enable-socket-wrapper            &&
 make</userinput></screen>
 
+<!-- - -enable-socket-wrapper for tests -->
+
     <para>To test the results, issue: <command>make test</command>. If you have
     <application>Linux-PAM</application> installed and built the PAM library
     modules, you can perform a dlopen test by issuing:
@@ -180,16 +182,11 @@
     <para><parameter>--with-fhs</parameter>: Assigns all other file paths in
     a manner compliant with the Filesystem Hierarchy Standard (FHS).</para>
 
-    <para><parameter>--with-automount</parameter>: Includes automounting
-    support.</para>
-
-    <para><parameter>--with-cifsumount</parameter>: Builds the
-    <command>umount.cifs</command> program.</para>
-
     <para><parameter>--enable-nss-wrapper</parameter>: Builds the nss-wrapper
     library.</para>
 
-    <para><parameter>--with-pthreads</parameter>: Adds threading support.</para>
+    <para><parameter>--enable-socket-wrapper</parameter>: This options is 
+    required to run the test suite.</para>
 
     <para><command>install -v -m755 nsswitch/libnss_win{s,bind}.so /lib</command>:
     The nss libraries are not installed by default. If you intend to use
@@ -228,7 +225,7 @@
       </indexterm>
 
     </sect3>
-
+<!-- mount.cifs is now in the separate cifs-utils package 
     <sect3>
       <title>Mounting Shares by Unprivileged Users</title>
 
@@ -245,7 +242,7 @@
 <screen role="root"><userinput>chmod -v 4755 /usr/sbin/{,u}mount.cifs</userinput></screen>
 
     </sect3>
-
+-->
     <sect3>
       <title>Printing to SMB Clients</title>
 

Modified: trunk/BOOK/postlfs/security/stunnel.xml
===================================================================
--- trunk/BOOK/postlfs/security/stunnel.xml	2011-11-10 22:12:32 UTC (rev 8955)
+++ trunk/BOOK/postlfs/security/stunnel.xml	2011-11-12 04:33:41 UTC (rev 8956)
@@ -6,10 +6,10 @@
 
   <!ENTITY stunnel-download-http "http://www.stunnel.org/download/stunnel/src/stunnel-&stunnel-version;.tar.gz">
   <!ENTITY stunnel-download-ftp  "ftp://stunnel.mirt.net/stunnel/stunnel-&stunnel-version;.tar.gz">
-  <!ENTITY stunnel-md5sum        "bbd274e8364ea3ceca0ee5190e13edd1">
-  <!ENTITY stunnel-size          "526 KB">
+  <!ENTITY stunnel-md5sum        "978030ff42f087ec26eb8a095ab69994">
+  <!ENTITY stunnel-size          "516 KB">
   <!ENTITY stunnel-buildsize     "5 MB">
-  <!ENTITY stunnel-time          "0.1 SBU">
+  <!ENTITY stunnel-time          "0.5 SBU">
 ]>
 
 <sect1 id="stunnel" xreflabel="Stunnel-&stunnel-version;">
@@ -38,6 +38,8 @@
     SMTP and HTTP, and in tunneling PPP over network sockets without changes
     to the server package source code.</para>
 
+    &lfs70_checked;
+
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
       <listitem>
@@ -118,8 +120,7 @@
     <para>Install <application>Stunnel</application> by running the following
     commands:</para>
 
-<screen><userinput>sed -i 's|nogroup|stunnel|g' configure &&
-./configure --prefix=/usr \
+<screen><userinput>./configure --prefix=/usr \
             --sysconfdir=/etc \
             --localstatedir=/var \
             --disable-libwrap &&
@@ -136,12 +137,6 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
 
-    <para><command>sed -i 's|nogroup|stunnel|g' configure</command>: This
-    command is used to change the default group for the installed files in
-    <filename class='directory'>/var/lib/stunnel</filename> from
-    <systemitem class="groupname">nogroup</systemitem> to
-    <systemitem class="groupname">stunnel</systemitem>.</para>
-
     <para><parameter>--sysconfdir=/etc</parameter>: This parameter forces
     the configuration directory to <filename class='directory'>/etc</filename>
     instead of <filename class='directory'>/usr/etc</filename>.</para>

Modified: trunk/bootscripts/blfs/init.d/samba
===================================================================
--- trunk/bootscripts/blfs/init.d/samba	2011-11-10 22:12:32 UTC (rev 8955)
+++ trunk/bootscripts/blfs/init.d/samba	2011-11-12 04:33:41 UTC (rev 8956)
@@ -1,58 +1,71 @@
 #!/bin/sh
-# Begin $rc_base/init.d/samba
+# Begin /etc/init.d/samba
 
-# Based on sysklogd script from LFS-3.1 and earlier.
-# Rewritten by Gerard Beekmans  - gerard at linuxfromscratch.org
+### BEGIN INIT INFO
+# Provides:            samba
+# Required-Start:      $network
+# Should-Start:        $remote_fs cups slapd ntpd
+# Required-Stop:       $network
+# Should-Stop:         $remote_fs cups slapd ntpd
+# Default-Start:       3 4 5
+# Default-Stop:        0 1 2 6
+# Short-Description:   Provides SMB (Windows) networking.
+# Description:         Starts Samba smbd and nmbd processess which provide
+#                      connectivity to SMB (Windows) networks.
+# X-LFS-Provided-By:   BLFS
+### END INIT INFO
 
+. /lib/lsb/init-functions
+
 #$LastChangedBy$
 #$Date$
 
-. /etc/sysconfig/rc
-. $rc_functions
-
-smbdpid=/var/run/smbd.pid
-nmbdpid=/var/run/nmbd.pid
-
 case "$1" in
-	start)
-		boot_mesg "Starting nmbd..."
-		loadproc -p $nmbdpid /usr/sbin/nmbd -D
+   start)
+      log_info_msg "Starting nmbd..."
+      start_daemon /usr/sbin/nmbd -D
+      evaluate_retval
 
-		boot_mesg "Starting smbd..."
-		loadproc -p $smbdpid /usr/sbin/smbd -D
-		;;
+      log_info_msg "Starting smbd..."
+      start_daemon /usr/sbin/smbd -D
+      evaluate_retval
+      ;;
 
-	stop)
-		boot_mesg "Stopping smbd..."
-		killproc -p $smbdpid /usr/sbin/smbd
+   stop)
+      log_info_msg "Stopping smbd..."
+      killproc /usr/sbin/smbd
+      evaluate_retval
 
-		boot_mesg "Stopping nmbd..."
-		killproc -p $nmbdpid /usr/sbin/nmbd
-                ;;
+      log_info_msg "Stopping nmbd..."
+      killproc /usr/sbin/nmbd
+      evaluate_retval
+      ;;
 
-	reload)
-		boot_mesg "Reloading smbd..."
-		reloadproc -p $smbdpid /usr/sbin/smbd
+   reload)
+      log_info_msg "Reloading smbd..."
+      killproc /usr/sbin/smbd -HUP
+      evaluate_retval
 
-		boot_mesg "Reloading nmbd..."
-		reloadproc -p $nmbdpid /usr/sbin/nmbd
-		;;
+      log_info_msg "Reloading nmbd..."
+      killproc /usr/sbin/nmbd -HUP
+      evaluate_retval
+      ;;
 
-	restart)
-		$0 stop
-		sleep 1
-		$0 start
-		;;
+   restart)
+      $0 stop
+      sleep 1
+      $0 start
+      ;;
 
-	status)
-		statusproc -p $nmbdpid /usr/sbin/nmbd
-		statusproc -p $smbdpid /usr/sbin/smbd
-		;;
+   status)
+      statusproc /usr/sbin/nmbd
+      statusproc /usr/sbin/smbd
+      ;;
 
-	*)
-		echo "Usage: $0 {start|stop|reload|restart|status}"
-		exit 1
-		;;
+   *)
+      echo "Usage: $0 {start|stop|reload|restart|status}"
+      exit 1
+      ;;
 esac
 
-# End $rc_base/init.d/samba
+# End /etc/init.d/samba

Modified: trunk/bootscripts/blfs/init.d/stunnel
===================================================================
--- trunk/bootscripts/blfs/init.d/stunnel	2011-11-10 22:12:32 UTC (rev 8955)
+++ trunk/bootscripts/blfs/init.d/stunnel	2011-11-12 04:33:41 UTC (rev 8956)
@@ -1,40 +1,55 @@
 #!/bin/sh
-# Begin $rc_base/init.d/stunnel
+# Begin /etc/init.d/stunnel
 
-# Based on sysklogd script from LFS-3.1 and earlier.
-# Rewritten by Gerard Beekmans  - gerard at linuxfromscratch.org
+### BEGIN INIT INFO
+# Provides:            samba
+# Required-Start:      $network
+# Should-Start:        $remote_fs 
+# Required-Stop:       $network
+# Should-Stop:         $remote_fs 
+# Default-Start:       3 4 5
+# Default-Stop:        0 1 2 6
+# Short-Description:   Provides an SSL encryption wrapper.
+# Description:         Provides an SSL encryption wrapper between remote clients and
+#                      local (inetd-startable) or remote servers. The concept is that 
+#                      having non-SSL aware daemons running on your system you can 
+#                      easily set them up to communicate with clients over secure SSL
+#                      channels.
+# X-LFS-Provided-By:   BLFS
+### END INIT INFO
 
+. /lib/lsb/init-functions
+
 #$LastChangedBy$
 #$Date$
 
-. /etc/sysconfig/rc
-. $rc_functions
-
 case "$1" in
-        start)
-                boot_mesg "Starting the Stunnel Daemon..."
-                loadproc /usr/bin/stunnel
-                ;;
+   start)
+      log_info_msg "Starting the Stunnel Daemon..."
+      start_daemon /usr/bin/stunnel
+      evaluate_retval
+      ;;
 
-        stop)
-                boot_mesg "Stopping the Stunnel Daemon..."
-                killproc /usr/bin/stunnel
-                ;;
+   stop)
+      log_info_msg "Stopping the Stunnel Daemon..."
+      killproc /usr/bin/stunnel
+      evaluate_retval
+      ;;
 
-        restart)
-                $0 stop
-                sleep 1
-                $0 start
-                ;;
+   restart)
+      $0 stop
+      sleep 1
+      $0 start
+      ;;
 
-        status)
-                statusproc /usr/bin/stunnel
-                ;;
+   status)
+      statusproc /usr/bin/stunnel
+      ;;
 
-        *)
-                echo "Usage: $0 {start|stop|restart|status}"
-                exit 1
-                ;;
+   *)
+      echo "Usage: $0 {start|stop|restart|status}"
+      exit 1
+      ;;
 esac
 
-# End $rc_base/init.d/stunnel
+# End /etc/init.d/stunnel




More information about the blfs-book mailing list